> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List earning types



## OpenAPI

````yaml /spec/openapi.json get /earning_types
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /earning_types:
    get:
      tags:
        - Earning Types
      summary: List earning types
      operationId: earning-types-index
      parameters:
        - name: features
          in: query
          schema:
            type: string
            enum:
              - CA
              - GB
          required: false
          description: >-
            Country code that adds each type's payroll calculations to the
            response, as the `features` and `form_mappings` fields. Currently
            only `ca` is supported. See [Line item type
            features](https://docs.nmbr.co/guides/payroll-fundamentals/line-item-type-features).
        - name: id
          in: query
          schema:
            type: string
          required: false
          description: Comma-separated list of type identifiers to return.
        - name: search
          in: query
          schema:
            type: string
          required: false
          description: >-
            Case-insensitive substring match against the human-readable label,
            in any supported locale.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"list"`).
                    readOnly: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the object in Nmbr.
                          readOnly: true
                        object:
                          type: string
                          description: The type of the object in Nmbr (`"earning_type"`).
                          readOnly: true
                        data:
                          $ref: '#/components/schemas/EarningType'
              example:
                object: list
                data:
                  - id: <id>
                    object: earning_type
                    data:
                      type: bonus_discretionary
                      label: Bonus (Discretionary)
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Discretionary) using the bonus method.
                              program_label: null
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                CPP is calculated on Bonus (Discretionary) using
                                the bonus method.
                              program_label: CPP
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                CPP is calculated on Bonus (Discretionary) using
                                the bonus method.
                              program_label: CPP
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                QPP is calculated on Bonus (Discretionary) using
                                the bonus method.
                              program_label: QPP
                        - type: insurable
                          label: Insurable (EI/QPIP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                EI is calculated on Bonus (Discretionary) using
                                the bonus method.
                              program_label: EI
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                EI is calculated on Bonus (Discretionary) using
                                the bonus method.
                              program_label: EI
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                QPIP is calculated on Bonus (Discretionary)
                                using the bonus method.
                              program_label: QPIP
                        - type: wcb
                          label: WCB
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WorkSafeBC.
                              program_label: WorkSafeBC
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WorkSafeNB.
                              program_label: WorkSafeNB
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WorkplaceNL.
                              program_label: WorkplaceNL
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WSIB.
                              program_label: WSIB
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to CNESST.
                              program_label: CNESST
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to WCB.
                              program_label: WCB
                        - type: eht
                          label: EPT
                          definitions:
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to HE Levy.
                              program_label: HE Levy
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to HAPSET.
                              program_label: HAPSET
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Discretionary) is subject to HSF.
                              program_label: HSF
                        - type: vacationable
                          label: Vacationable
                          definitions: []
                      form_mappings:
                        - form: t4
                          form_label: T4
                          mapping:
                            - - name: '14'
                                help_text: Employment Income
                        - form: rl1
                          form_label: RL-1
                          mapping:
                            - - name: A
                                help_text: Employment Income Before Source Deductions
                    links:
                      self: /earning_types/bonus_discretionary
                  - id: <id>
                    object: earning_type
                    data:
                      type: bonus_non_discretionary
                      label: Bonus (Non-Discretionary)
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Bonus
                                (Non-Discretionary) using the bonus method.
                              program_label: null
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                CPP is calculated on Bonus (Non-Discretionary)
                                using the bonus method.
                              program_label: CPP
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                CPP is calculated on Bonus (Non-Discretionary)
                                using the bonus method.
                              program_label: CPP
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                QPP is calculated on Bonus (Non-Discretionary)
                                using the bonus method.
                              program_label: QPP
                        - type: insurable
                          label: Insurable (EI/QPIP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                EI is calculated on Bonus (Non-Discretionary)
                                using the bonus method.
                              program_label: EI
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                EI is calculated on Bonus (Non-Discretionary)
                                using the bonus method.
                              program_label: EI
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                QPIP is calculated on Bonus (Non-Discretionary)
                                using the bonus method.
                              program_label: QPIP
                        - type: wcb
                          label: WCB
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: >-
                                Bonus (Non-Discretionary) is subject to
                                WorkSafeBC.
                              program_label: WorkSafeBC
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: >-
                                Bonus (Non-Discretionary) is subject to
                                WorkSafeNB.
                              program_label: WorkSafeNB
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: >-
                                Bonus (Non-Discretionary) is subject to
                                WorkplaceNL.
                              program_label: WorkplaceNL
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WSIB.
                              program_label: WSIB
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to CNESST.
                              program_label: CNESST
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to WCB.
                              program_label: WCB
                        - type: eht
                          label: EPT
                          definitions:
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to HE Levy.
                              program_label: HE Levy
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to HAPSET.
                              program_label: HAPSET
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Discretionary) is subject to HSF.
                              program_label: HSF
                        - type: vacationable
                          label: Vacationable
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Bonus
                                (Non-Discretionary)
                              program_label: null
                      form_mappings:
                        - form: t4
                          form_label: T4
                          mapping:
                            - - name: '14'
                                help_text: Employment Income
                        - form: rl1
                          form_label: RL-1
                          mapping:
                            - - name: A
                                help_text: Employment Income Before Source Deductions
                    links:
                      self: /earning_types/bonus_non_discretionary
                  - id: <id>
                    object: earning_type
                    data:
                      type: bonus_non_taxable
                      label: Bonus (Non-Taxable)
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions: []
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to CPP.
                              program_label: CPP
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to CPP.
                              program_label: CPP
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to QPP.
                              program_label: QPP
                        - type: insurable
                          label: Insurable (EI/QPIP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to EI.
                              program_label: EI
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to EI.
                              program_label: EI
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to QPIP.
                              program_label: QPIP
                        - type: wcb
                          label: WCB
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WorkSafeBC.
                              program_label: WorkSafeBC
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WorkSafeNB.
                              program_label: WorkSafeNB
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WorkplaceNL.
                              program_label: WorkplaceNL
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WSIB.
                              program_label: WSIB
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to CNESST.
                              program_label: CNESST
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to WCB.
                              program_label: WCB
                        - type: eht
                          label: EPT
                          definitions:
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to HE Levy.
                              program_label: HE Levy
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to HAPSET.
                              program_label: HAPSET
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Bonus (Non-Taxable) is subject to HSF.
                              program_label: HSF
                        - type: vacationable
                          label: Vacationable
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Bonus (Non-Taxable)
                              program_label: null
                      form_mappings:
                        - form: t4
                          form_label: T4
                          mapping:
                            - - name: '14'
                                help_text: Employment Income
                        - form: rl1
                          form_label: RL-1
                          mapping:
                            - - name: A
                                help_text: Employment Income Before Source Deductions
                    links:
                      self: /earning_types/bonus_non_taxable
                  - id: <id>
                    object: earning_type
                    data:
                      type: commission
                      label: Commission (Non-Periodic)
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. When a
                                TD1X has been completed, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses from the TD1X.
                              program_label: null
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. When a
                                TP-1015.3-V has been completed, Income Tax is
                                calculated on Commission (Non-Periodic)
                                following Revenue Quebec's cumulative-averaging
                                method, using estimated income and expenses from
                                the TP-1015.3-V.
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. For
                                commission-based employees, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                Income Tax is calculated on Commission
                                (Non-Periodic) using the bonus method. When a
                                TD1X has been completed, Income Tax is
                                calculated on Commission (Non-Periodic) using
                                estimated income and expenses from the TD1X.
                              program_label: null
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                CPP is calculated on Commission (Non-Periodic)
                                using the bonus method. For commission-based
                                employees, Commission (Non-Periodic) is subject
                                to standard CPP calculations.
                              program_label: CPP
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                CPP is calculated on Commission (Non-Periodic)
                                using the bonus method. For commission-based
                                employees, Commission (Non-Periodic) is subject
                                to standard CPP calculations.
                              program_label: CPP
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                QPP is calculated on Commission (Non-Periodic)
                                using the bonus method.
                              program_label: QPP
                        - type: insurable
                          label: Insurable (EI/QPIP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                EI is calculated on Commission (Non-Periodic)
                                using the bonus method. For commission-based
                                employees, Commission (Non-Periodic) is subject
                                to standard EI calculations.
                              program_label: EI
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                EI is calculated on Commission (Non-Periodic)
                                using the bonus method. For commission-based
                                employees, Commission (Non-Periodic) is subject
                                to standard EI calculations.
                              program_label: EI
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                QPIP is calculated on Commission (Non-Periodic)
                                using the bonus method.
                              program_label: QPIP
                        - type: wcb
                          label: WCB
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Non-Periodic) is subject to
                                WorkSafeBC.
                              program_label: WorkSafeBC
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Non-Periodic) is subject to
                                WorkSafeNB.
                              program_label: WorkSafeNB
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Non-Periodic) is subject to
                                WorkplaceNL.
                              program_label: WorkplaceNL
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WSIB.
                              program_label: WSIB
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to CNESST.
                              program_label: CNESST
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to WCB.
                              program_label: WCB
                        - type: eht
                          label: EPT
                          definitions:
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to HE Levy.
                              program_label: HE Levy
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to HAPSET.
                              program_label: HAPSET
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Commission (Non-Periodic) is subject to HSF.
                              program_label: HSF
                        - type: vacationable
                          label: Vacationable
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - accrues_vacation_pay
                              help_text: >-
                                Vacation pay accrues on Commission
                                (Non-Periodic)
                              program_label: null
                      form_mappings:
                        - form: t4
                          form_label: T4
                          mapping:
                            - - name: '14'
                                help_text: Employment Income
                              - name: '42'
                                help_text: Employment Commissions
                        - form: rl1
                          form_label: RL-1
                          mapping:
                            - - name: A
                                help_text: Employment Income Before Source Deductions
                              - name: M
                                help_text: Commissions
                    links:
                      self: /earning_types/commission
                  - id: <id>
                    object: earning_type
                    data:
                      type: commission_periodic
                      label: Commission (Periodic)
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Federal
                                Income Tax. When a TD1X has been completed,
                                Income Tax is calculated on Commission
                                (Periodic) using estimated income and expenses
                                from the TD1X.
                              program_label: null
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                When a TP-1015.3-V has been completed, Income
                                Tax is calculated on Commission (Periodic)
                                following Revenue Quebec's cumulative-averaging
                                method, using estimated income and expenses from
                                the TP-1015.3-V.
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: >-
                                Commission (Periodic) is subject to Income Tax.
                                For commission-based employees, Income Tax is
                                calculated on Commission (Periodic) using
                                estimated income and expenses.
                              program_label: null
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                Federal Income Tax rates apply, plus the default
                                outside-Canada surtax. When a TD1X has been
                                completed, Income Tax is calculated on
                                Commission (Periodic) using estimated income and
                                expenses from the TD1X.
                              program_label: null
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to CPP.
                              program_label: CPP
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to CPP.
                              program_label: CPP
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to QPP.
                              program_label: QPP
                        - type: insurable
                          label: Insurable (EI/QPIP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to EI.
                              program_label: EI
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to EI.
                              program_label: EI
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to QPIP.
                              program_label: QPIP
                        - type: wcb
                          label: WCB
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WorkSafeBC.
                              program_label: WorkSafeBC
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WorkSafeNB.
                              program_label: WorkSafeNB
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WorkplaceNL.
                              program_label: WorkplaceNL
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WSCC.
                              program_label: WSCC
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WSIB.
                              program_label: WSIB
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to CNESST.
                              program_label: CNESST
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WCB.
                              program_label: WCB
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to WCB.
                              program_label: WCB
                        - type: eht
                          label: EPT
                          definitions:
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to HE Levy.
                              program_label: HE Levy
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to HAPSET.
                              program_label: HAPSET
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to EHT.
                              program_label: EHT
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: Commission (Periodic) is subject to HSF.
                              program_label: HSF
                        - type: vacationable
                          label: Vacationable
                          definitions:
                            - jurisdiction: ca_ab
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - accrues_vacation_pay
                              help_text: Vacation pay accrues on Commission (Periodic)
                              program_label: null
                      form_mappings:
                        - form: t4
                          form_label: T4
                          mapping:
                            - - name: '14'
                                help_text: Employment Income
                              - name: '42'
                                help_text: Employment Commissions
                        - form: rl1
                          form_label: RL-1
                          mapping:
                            - - name: A
                                help_text: Employment Income Before Source Deductions
                              - name: M
                                help_text: Commissions
                    links:
                      self: /earning_types/commission_periodic
                  - id: <id>
                    object: earning_type
                    data:
                      type: commission_self_employed
                      label: Commission (Self-employed)
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions: []
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions: []
                        - type: insurable
                          label: Insurable (EI/QPIP)
                          definitions: []
                        - type: wcb
                          label: WCB
                          definitions: []
                        - type: eht
                          label: EPT
                          definitions: []
                        - type: vacationable
                          label: Vacationable
                          definitions: []
                      form_mappings:
                        - form: rl1
                          form_label: RL-1
                          mapping:
                            - - name: O-RM
                                help_text: Self-Employed Commissions
                        - form: t4a
                          form_label: T4A
                          mapping:
                            - - name: '20'
                                help_text: Self-Employed Commissions
                    links:
                      self: /earning_types/commission_self_employed
                  - id: <id>
                    object: earning_type
                    data:
                      type: death_benefit
                      label: Death Benefit
                      supported_payroll_types:
                        regular: true
                        historical: true
                        off_cycle: true
                      features:
                        - type: income_tax
                          label: Income Tax
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Federal Income Tax.
                              program_label: null
                            - jurisdiction: ca_ab
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_bc
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_mb
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_nb
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_nl
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_ns
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_nt
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_nu
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_on
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_pe
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_qc
                              effects:
                                - withholding
                              help_text: >-
                                Death Benefit is subject to Income Tax. When a
                                TP-1015.3-V has been completed, Income Tax is
                                calculated on Death Benefit following Revenue
                                Quebec's cumulative-averaging method, using
                                estimated income and expenses from the
                                TP-1015.3-V.
                              program_label: null
                            - jurisdiction: ca_sk
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_yt
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to Income Tax.
                              program_label: null
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: >-
                                Federal Income Tax rates apply, plus the default
                                outside-Canada surtax.
                              program_label: null
                        - type: pensionable
                          label: Pensionable (CPP/QPP)
                          definitions:
                            - jurisdiction: ca_federal
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to CPP.
                              program_label: CPP
                            - jurisdiction: ca_oc
                              effects:
                                - withholding
                              help_text: Death Benefit is subject to CPP.
[...]
